\ --------------------------------------
\ Copyright 2009-04-12, George E. Hubert
\ --------------------------------------

[UNDEFINED] FTRUNC [IF]
  [DEFINED] ZenFP  [IF] [ABORT] [THEN]
[UNDEFINED] FLOAT  [IF] [ABORT] [THEN]
: FTRUNC                               ( r1 -- r2 ) 
  FDUP F0= 0= 
  IF FDUP F0< 
  IF FNEGATE FLOOR FNEGATE 
  ELSE FLOOR 
  THEN 
  THEN ;
[THEN]
